Package net.shibboleth.idp.authn

# Interface EnumeratableAccountLockoutManager

All Superinterfaces:
  `AccountLockoutManager`

All Known Implementing Classes:
  `StorageBackedAccountLockoutManager`

public interface EnumeratableAccountLockoutManager extends AccountLockoutManager
An extension to `AccountLockoutManager` that allows for enumeration over partial matches of a key.

Since:
  5.0.0

## Method Summary

Modifier and Type
Method
Description
`Iterable<String>`
`enumerate(ProfileRequestContext profileRequestContext)`
Return iterable collection of locked out keys that match a supplied partial key (i.e., are prefixed by it).

### Methods inherited from interface net.shibboleth.idp.authn.AccountLockoutManager

`check, clear, increment`

## Method Details

### enumerate

@Nullable Iterable<String> enumerate(@Nonnull ProfileRequestContext profileRequestContext)
Return iterable collection of locked out keys that match a supplied partial key (i.e., are prefixed by it).

The key MUST be supplied via a `LockoutManagerContext` subcontext of the input context.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  the locked out keys, or a null if an error occurs